package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 时户数考核规则分级对象 pdm_examine_role_target
 *
 * @author ruoyi
 * @date 2024-12-30
 */
public class PdmExamineRoleTarget extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 目标时户数规则 */
    @Excel(name = "目标时户数规则")
    private String targetName;

    /** 最小区间 */
    @Excel(name = "最小区间")
    private Integer minNum;

    /** 最大区间 */
    @Excel(name = "最大区间")
    private String maxNum;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTargetName(String targetName)
    {
        this.targetName = targetName;
    }

    public String getTargetName()
    {
        return targetName;
    }
    public void setMinNum(Integer minNum)
    {
        this.minNum = minNum;
    }

    public Integer getMinNum()
    {
        return minNum;
    }
    public void setMaxNum(String maxNum)
    {
        this.maxNum = maxNum;
    }

    public String getMaxNum()
    {
        return maxNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("targetName", getTargetName())
            .append("minNum", getMinNum())
            .append("maxNum", getMaxNum())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
